/**
 * DevExtreme (cjs/renovation/ui/toolbar/toolbar_props.js)
 * Version: 21.2.0 (build 21200-0321)
 * Build date: Mon Jul 19 2021
 *
 * Copyright (c) 2012 - 2021 Developer Express Inc. ALL RIGHTS RESERVED
 * Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
 */
"use strict";
exports.ToolbarButtonProps = exports.ToolbarItem = exports.CollectionWidgetItem = exports.ToolbarProps = void 0;
var _base_props = require("../common/base_props");

function _extends() {
    _extends = Object.assign || function(target) {
        for (var i = 1; i < arguments.length; i++) {
            var source = arguments[i];
            for (var key in source) {
                if (Object.prototype.hasOwnProperty.call(source, key)) {
                    target[key] = source[key]
                }
            }
        }
        return target
    };
    return _extends.apply(this, arguments)
}
var ToolbarProps = _extends({}, _base_props.BaseWidgetProps);
exports.ToolbarProps = ToolbarProps;
var CollectionWidgetItem = {};
exports.CollectionWidgetItem = CollectionWidgetItem;
var ToolbarItem = _extends({}, CollectionWidgetItem);
exports.ToolbarItem = ToolbarItem;
var ToolbarButtonProps = {};
exports.ToolbarButtonProps = ToolbarButtonProps;
