/**
 * DevExtreme (renovation/ui/scroll_view/scrollable_props.js)
 * Version: 21.2.0 (build 21200-0321)
 * Build date: Mon Jul 19 2021
 *
 * Copyright (c) 2012 - 2021 Developer Express Inc. ALL RIGHTS RESERVED
 * Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
 */
"use strict";
exports.ScrollableProps = void 0;
var ScrollableProps = {
    useNative: true,
    direction: "vertical",
    showScrollbar: "onScroll",
    bounceEnabled: true,
    scrollByContent: true,
    scrollByThumb: false,
    pullDownEnabled: false,
    reachBottomEnabled: false,
    forceGeneratePockets: false,
    needScrollViewContentWrapper: false,
    needScrollViewLoadPanel: false
};
exports.ScrollableProps = ScrollableProps;
