/**
 * DevExtreme (cjs/renovation/ui/scroll_view/scrollbar_props.js)
 * Version: 21.2.0 (build 21200-0321)
 * Build date: Mon Jul 19 2021
 *
 * Copyright (c) 2012 - 2021 Developer Express Inc. ALL RIGHTS RESERVED
 * Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
 */
"use strict";
exports.ScrollbarProps = void 0;
var _consts = require("./common/consts");
var ScrollbarProps = {
    activeStateEnabled: false,
    containerSize: 0,
    contentSize: 0,
    topPocketSize: 0,
    bottomPocketSize: 0,
    contentPaddingBottom: 0,
    scrollableOffset: 0,
    isScrollableHovered: false,
    forceVisibility: false,
    scrollLocation: 0,
    pocketState: _consts.TopPocketState.STATE_RELEASED
};
exports.ScrollbarProps = ScrollbarProps;
